Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class MediaCustom

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.Media
                          oracle.ifs.beans.TieMedia
                              oracle.ifs.beans.MediaCustom

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieMediaCustom

    public class MediaCustom

extends TieMedia

A MediaCustom instance stores content using a CustomMediaDriver.

A MediaCustom instances can have secure parameters, name/value pairs whose values are securely stored. Administration mode is required to set, get, or delete a secure parameter.

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` The name of the ClassObject representing this class.
`static java.lang.String` | `CUSTOMMEDIADRIVERSPECIFICATION_ATTRIBUTE` The CustomMediaDriverSpecification that identifies the CustomMediaDriver used by this MediaCustom instance to store content.
`static java.lang.String` | `SECUREPARAMETER_PREFIX` The name prefix of secure parameters.

Fields inherited from class oracle.ifs.beans.Media
`COLUMNNAME_ATTRIBUTE, CONTENTINDEXPROCEDURE_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, MEDIAOPTION_ALLOW_NONTRANSACTIONAL_CONTENT_DESTRUCTION, READONLY_ATTRIBUTE, TABLENAME_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session, NAME_ATTRIBUTE`

Constructor Summary
`protected` | `MediaCustom(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a MediaCustom object.

Method Summary
`void` | `deleteSecureParameter(java.lang.String name)` Deletes the specified secure parameter of this MediaCustom instance.
`static MediaCustom[]` | `findAll(LibrarySession session)` Gets the set of all MediaCustom instances.
`static MediaCustom` | `findByName(LibrarySession session, java.lang.String name)` Gets the MediaCustom instance with the specified name.
`CustomMediaDriverSpecification` | `getCustomMediaDriverSpecification()` Gets the CustomMediaDriverSpecification that identifies the CustomMediaDriver used by this MediaCustom instance to store content.
`java.lang.String` | `getSecureParameter(java.lang.String name)` Gets the value of the specified secure parameter of this MediaCustom instance.
`java.lang.String[]` | `getSecureParameterNames()` Gets the names of the secure parameters of this MediaCustom instance.
`java.lang.String` | `getSecureParameterPrefix()` Gets the prefix automatically applied to the names of the secure parameters of this MediaCustom instance to make them repository unique.
`boolean` | `hasNameAttribute()` Returns true if this object is an instance of a class that has a NAME attribute, and false otherwise.
`void` | `setSecureParameter(java.lang.String name, java.lang.String value)` Sets the value of the specified secure parameter of this MediaCustom instance.

Methods inherited from class oracle.ifs.beans.Media
`getColumnName, getContentIndexProcedure, getDescription, getLibraryObjectLookupCache, getTableName, isReadOnly`

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `MediaCustom`
  The name of the ClassObject representing this class.

  See Also:
    Constant Field Values
  (Published)

### CUSTOMMEDIADRIVERSPECIFICATION_ATTRIBUTE

    public static final java.lang.String CUSTOMMEDIADRIVERSPECIFICATION_ATTRIBUTE

  Description copied from class: `MediaCustom`
  The CustomMediaDriverSpecification that identifies the CustomMediaDriver used by this MediaCustom instance to store content.

  See Also:
    Constant Field Values
  (Published)

### SECUREPARAMETER_PREFIX

    public static final java.lang.String SECUREPARAMETER_PREFIX

  Description copied from class: `MediaCustom`
  The name prefix of secure parameters.

  See Also:
    Constant Field Values
  (Unpublished)

Constructor Detail

### MediaCustom

    protected MediaCustom(LibrarySession session,
                          java.lang.Long id,
                          java.lang.Long classId,
                          S_LibraryObjectData data)
                   throws IfsException

  Constructs a MediaCustom object.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data component
  Throws:
    `IfsException` - if the operation fails
  (Published)

Method Detail

### hasNameAttribute

    public boolean hasNameAttribute()
                             throws IfsException

  Description copied from class: `MediaCustom`
  Returns true if this object is an instance of a class that has a NAME attribute, and false otherwise.

  Overrides:
    `hasNameAttribute` in class `Media`
  Returns:
    true if the object has a NAME attribute.
  Throws:
    `IfsException` - if operation fails.

### getCustomMediaDriverSpecification

    public CustomMediaDriverSpecification getCustomMediaDriverSpecification()
                                                                     throws IfsException

  Description copied from class: `MediaCustom`
  Gets the CustomMediaDriverSpecification that identifies the CustomMediaDriver used by this MediaCustom instance to store content.

  Returns:
    the CustomMediaDriverSpecification
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getSecureParameterPrefix

    public final java.lang.String getSecureParameterPrefix()
                                                    throws IfsException

  Description copied from class: `MediaCustom`
  Gets the prefix automatically applied to the names of the secure parameters of this MediaCustom instance to make them repository unique.

  The arguments and return values of the `MediaCustom.getSecureParameterNames()`, `MediaCustom.getSecureParameter(String)`, `MediaCustom.setSecureParameter(String, String)`, and `MediaCustom.deleteSecureParameter(String)` methods are unprefixed names. The prefix returned by this method is transparently applied to arguments and stripped from return values.

  Returns:
    the name prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getSecureParameterNames

    public java.lang.String[] getSecureParameterNames()
                                               throws IfsException

  Description copied from class: `MediaCustom`
  Gets the names of the secure parameters of this MediaCustom instance.

  Returns:
    the secure parameter names, or null if none
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getSecureParameter

    public java.lang.String getSecureParameter(java.lang.String name)
                                        throws IfsException

  Description copied from class: `MediaCustom`
  Gets the value of the specified secure parameter of this MediaCustom instance.

  Parameters:
    `name` - the secure parameter name
  Returns:
    the secure parameter value, or null if there is no secure parameter with the specified name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setSecureParameter

    public void setSecureParameter(java.lang.String name,
                                   java.lang.String value)
                            throws IfsException

  Description copied from class: `MediaCustom`
  Sets the value of the specified secure parameter of this MediaCustom instance.

  Parameters:
    `name` - the secure parameter name
    `value` - the secure parameter value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### deleteSecureParameter

    public void deleteSecureParameter(java.lang.String name)
                               throws IfsException

  Description copied from class: `MediaCustom`
  Deletes the specified secure parameter of this MediaCustom instance.

  Parameters:
    `name` - the secure parameter name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### findAll

    public static MediaCustom[] findAll(LibrarySession session)
                                 throws IfsException

  Description copied from class: `MediaCustom`
  Gets the set of all MediaCustom instances.

  Parameters:
    `session` - the session
  Returns:
    the MediaCustom instances, or null if none
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### findByName

    public static MediaCustom findByName(LibrarySession session,
                                         java.lang.String name)
                                  throws IfsException

  Description copied from class: `MediaCustom`
  Gets the MediaCustom instance with the specified name.

  Parameters:
    `session` - the session; required
    `name` - the name
  Returns:
    the MediaCustom instance, or null if none
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD